Index: enyshe_p.f
===================================================================
--- enyshe_p.f	(revision 87ddcf7a314d90070d607f0ec7ac0a700b843abc)
+++ enyshe_p.f	(revision e40e335d8909b50cd784019735fcdb0c28ee19bb)
@@ -1,25 +1,27 @@
-! **************************************************************
-!
-! This file contains the subroutines: enyshe
-!
-! Copyright 2003-2005  Frank Eisenmenger, U.H.E. Hansmann,
-!                      Shura Hayryan, Chin-Ku
-! Copyright 2007       Frank Eisenmenger, U.H.E. Hansmann,
-!                      Jan H. Meinke, Sandipan Mohanty
-!
-! **************************************************************
+c **************************************************************
+c
+c This file contains the subroutines: enyshe 
+c
+c Copyright 2003-2005  Frank Eisenmenger, U.H.E. Hansmann,
+c                      Shura Hayryan, Chin-Ku 
+c Copyright 2007       Frank Eisenmenger, U.H.E. Hansmann,
+c                      Jan H. Meinke, Sandipan Mohanty
+c
+c **************************************************************
 
 
       real*8 function enyshe(nml)
 
-!>     PURPOSE: Calculate internal energy of molecule 'nml' with ECEPP parameters
-!!
-!!     CALLS: none
-!!
-!!     The function loops over all moving sets within the molecule. Within
-!!     this loop it loops over the van-der-Waals domains of each atom in the
-!!     moving set and finally over the atoms that belong to the 1-4 interaction
-!!     set.
-!<     ............................................................................
+c     ............................................................................
+c     
+c     PURPOSE: Calculate internal energy of molecule 'nml' with ECEPP parameters
+c     
+c     CALLS: none
+c     
+c     The function loops over all moving sets within the molecule. Within
+c     this loop it loops over the van-der-Waals domains of each atom in the 
+c     moving set and finally over the atoms that belong to the 1-4 interaction
+c     set.
+c     ............................................................................
 
       include 'INCL.H'
@@ -28,13 +30,5 @@
 
 
-! If nml == 0 calculate the interaction between all pairs.
-      double precision eysmsum, teysm, teyel, teyvw, teyhb, teyvr
-      double precision startwtime, e0, vr, cqi, xi, yi, zi, xij, yij
-      double precision zij, rij2, rij4, rij6, rij, sr, ep, endwtime
-
-      integer nml, ntlvr, ifivr, i1s, iend, istart, loopcounter, io, iv
-      integer ia, it, ic, i2s, ims, i1, i2, i, ity, ivw, j, jty, i14
-      integer ierror
-
+c If nml == 0 calculate the interaction between all pairs.
       if (nml.eq.0) then
          ntlvr = nvr
@@ -42,8 +36,8 @@
          ntlvr=nvrml(nml)
       endif
-
+      
       if (ntlvr.eq.0) then
-         write (logString, '(a,i4)')
-     &        ' enyshe> No variables defined in molecule #',nml
+         write (*,'(a,i4)')
+     #        ' enyshe> No variables defined in molecule #',nml
          return
       endif
@@ -62,15 +56,15 @@
          ifivr = ivrml1(1)
          i1s = imsml1(ntlml) + nmsml(ntlml)
-      else
-!     Index of first variable in molecule.
+      else 
+c     Index of first variable in molecule.
          ifivr=ivrml1(nml)
-!     Index of last moving set in molecule
+c     Index of last moving set in molecule
          i1s=imsml1(nml)+nmsml(nml)
       endif
-!     Loop over variables in reverse order
-!     This is the first loop to parallize. We'll just split the moving sets
-!     over the number of available processors and sum the energy up in the end.
-
-!     Number of moving sets per processor
+c     Loop over variables in reverse order     
+c     This is the first loop to parallize. We'll just split the moving sets
+c     over the number of available processors and sum the energy up in the end.
+
+c     Number of moving sets per processor
       iend = ifivr
       istart = ifivr + ntlvr - 1
@@ -78,77 +72,77 @@
       startwtime = MPI_Wtime()
       loopcounter = 0
-!      do io=ifivr+ntlvr-1,ifivr,-1
-      do io = workPerProcessor(nml, myrank) - 1,
+c      do io=ifivr+ntlvr-1,ifivr,-1  
+      do io = workPerProcessor(nml, myrank) - 1, 
      &        workPerProcessor(nml, myrank+1), -1
          if (io.lt.istart) then
             i1s = imsvr1(iorvr(io + 1))
          endif
-!     The array iorvr contains the variables in an "apropriate" order.
-         iv=iorvr(io)
-!     Index of the primary moving atom for the variable with index iv
-         ia=iatvr(iv)
-!     Get the type of variable iv (valence length, valence angle, dihedral angle)
-         it=ityvr(iv)
-!     Class of variable iv's potential  (Q: What are they)
-         ic=iclvr(iv)
-!     If iv is a dihedral angle ...
-         if (it.eq.3) then
-!     Barrier height * 1/2 of the potential of iv.
+c     The array iorvr contains the variables in an "apropriate" order.
+         iv=iorvr(io)       
+c     Index of the primary moving atom for the variable with index iv
+         ia=iatvr(iv)       
+c     Get the type of variable iv (valence length, valence angle, dihedral angle)
+         it=ityvr(iv)       
+c     Class of variable iv's potential  (Q: What are they)
+         ic=iclvr(iv)       
+c     If iv is a dihedral angle ...
+         if (it.eq.3) then      
+c     Barrier height * 1/2 of the potential of iv.
             e0=e0to(ic)
-!     Calculate the periodic potential term. sgto is the sign of the barrier, rnto is
-!     the periodicity and toat is torsion angle(?) associate with atom ia.
-            if (e0.ne.0.)
-     &           teyvr=teyvr+e0*(1.0+sgto(ic)*cos(toat(ia)*rnto(ic)))
-!     else if iv is a valence angle ...
-         elseif (it.eq.2) then
-!     vr is the valence angle of ia
+c     Calculate the periodic potential term. sgto is the sign of the barrier, rnto is
+c     the periodicity and toat is torsion angle(?) associate with atom ia.
+            if (e0.ne.0.) 
+     #           teyvr=teyvr+e0*(1.0+sgto(ic)*cos(toat(ia)*rnto(ic)))
+c     else if iv is a valence angle ...
+         elseif (it.eq.2) then  
+c     vr is the valence angle of ia
             vr=baat(ia)
-!     else if iv is a valence length...
-         elseif (it.eq.1) then
-!     vr is the length of the valence bond
+c     else if iv is a valence length...
+         elseif (it.eq.1) then  
+c     vr is the length of the valence bond
             vr=blat(ia)
          endif
 
-!     ============================================ Energies & Atomic forces
-!     index of next to last moving set
+c     ============================================ Energies & Atomic forces
+c     index of next to last moving set
          i2s=i1s-1
-!     index of first moving set associated with iv
-         i1s=imsvr1(iv)
-!     Loop over all moving sets starting from the one associated with vr to the end.
-         do ims=i1s,i2s
-!     First atom of the current moving set
+c     index of first moving set associated with iv
+         i1s=imsvr1(iv) 
+c     Loop over all moving sets starting from the one associated with vr to the end.
+         do ims=i1s,i2s  
+c     First atom of the current moving set
             i1=latms1(ims)
-!     Last atom of the current moving set
+c     Last atom of the current moving set
             i2=latms2(ims)
-!     Loop over all atoms of the current moving set.
-            do i=i1,i2
-!     Atom class of current atom
+c     Loop over all atoms of the current moving set.
+            do i=i1,i2  
+c     Atom class of current atom
                ity=ityat(i)
-!     Point charge at current atom
+c     Point charge at current atom
                cqi=conv*cgat(i)
-!     Cartesian coordinates of current atom
+c     Cartesian coordinates of current atom
                xi=xat(i)
                yi=yat(i)
                zi=zat(i)
-!     Loop over the atoms of the van der Waals domain belonging to atom i
-               do ivw=ivwat1(i),ivwat2(i)
-!     Loop over the atoms of the van der Waals domain of the atoms of the
-!     van der Waals domain of atom i
-!     Q: Which atoms are in these domains?
-                  do j=lvwat1(ivw),lvwat2(ivw)
+c     Loop over the atoms of the van der Waals domain belonging to atom i
+               do ivw=ivwat1(i),ivwat2(i)  
+c     Loop over the atoms of the van der Waals domain of the atoms of the 
+c     van der Waals domain of atom i
+c     Q: Which atoms are in these domains?
+                  do j=lvwat1(ivw),lvwat2(ivw)  
 
                      loopcounter = loopcounter + 1
-!     Atom type of partner
+c     Atom type of partner
                      jty=ityat(j)
-!     Differences in cartesian coordinates
+c     Differences in cartesian coordinates
                      xij=xat(j)-xi
                      yij=yat(j)-yi
                      zij=zat(j)-zi
-!     Cartesian distance and higher powers
+c     Cartesian distance and higher powers
                      rij2=xij*xij+yij*yij+zij*zij
                      rij4=rij2*rij2
                      rij6=rij4*rij2
                      rij=sqrt(rij2)
-!     Are we using a distance dependent dielectric constant?
+c     Are we using a distance dependent dielectric constant?
                      if(epsd) then
                         sr=slp*rij
@@ -157,23 +151,23 @@
                         ep = 1.0d0
                      end if
-!     Coulomb interaction
+c     Coulomb interaction
                      teyel=teyel+cqi*cgat(j)/(rij*ep)
-!     If the two atoms cannot form a hydrogen bond use 6-12 Lennard-Jones potential
+c     If the two atoms cannot form a hydrogen bond use 6-12 Lennard-Jones potential
                      if (ihbty(ity,jty).eq.0) then
                         teyvw=teyvw+aij(ity,jty)/(rij6*rij6)
-     &                       -cij(ity,jty)/rij6
+     #                       -cij(ity,jty)/rij6
                      else
-!     For hydrogen bonding use 10-12 Lennard-Jones potential
+c     For hydrogen bonding use 10-12 Lennard-Jones potential
                         teyhb=teyhb+ahb(ity,jty)/(rij6*rij6)
-     &                       -chb(ity,jty)/(rij6*rij4)
+     #                       -chb(ity,jty)/(rij6*rij4)
                      endif
 
-                  enddo
-               enddo
-
-!     Loop over 1-4 interaction partners
-!     The interactions between atoms that are three bonds apart in the protein are
-!     dominated by quantum mechanical effects. They are treated separately.
-               do i14=i14at1(i),i14at2(i)
+                  enddo  
+               enddo  
+               
+c     Loop over 1-4 interaction partners
+c     The interactions between atoms that are three bonds apart in the protein are
+c     dominated by quantum mechanical effects. They are treated separately.
+               do i14=i14at1(i),i14at2(i)   
                   loopcounter = loopcounter + 1
                   j=l14at(i14)
@@ -188,5 +182,5 @@
                   rij6=rij4*rij2
                   rij = sqrt(rij2)
-!     Are we using a distance dependent dielectric constant?
+c     Are we using a distance dependent dielectric constant?
                   if(epsd) then
                      sr=slp*rij
@@ -197,12 +191,12 @@
 
                   teyel=teyel+cqi*cgat(j)/(rij*ep)
-!     If hydrogen bonding is not possible use 6-12 Lennard-Jones potential.
+c     If hydrogen bonding is not possible use 6-12 Lennard-Jones potential.
                   if (ihbty(ity,jty).eq.0) then
                      teyvw=teyvw+a14(ity,jty)/(rij6*rij6)
-     &                    -cij(ity,jty)/rij6
+     #                    -cij(ity,jty)/rij6
                   else
-!     Use 10-12 Lennard-Jones potential for hydrogen bonds.
+c     Use 10-12 Lennard-Jones potential for hydrogen bonds.
                      teyhb=teyhb+ahb(ity,jty)/(rij6*rij6)
-     &                    -chb(ity,jty)/(rij6*rij4)
+     #                    -chb(ity,jty)/(rij6*rij4)
                   endif
                enddo            ! ... 1-4-partners of i
@@ -215,14 +209,14 @@
       endwtime = MPI_Wtime()
 
-!     Collect energies from all nodes and sum them up
-      call MPI_ALLREDUCE(teysm, eysmsum, 1, MPI_DOUBLE_PRECISION,
+c     Collect energies from all nodes and sum them up
+      call MPI_ALLREDUCE(teysm, eysmsum, 1, MPI_DOUBLE_PRECISION,  
      &     MPI_SUM, my_mpi_comm, ierror)
       call MPI_ALLREDUCE(teyel, eyel, 1, MPI_DOUBLE_PRECISION, MPI_SUM,
      &     my_mpi_comm, ierror)
-      call MPI_ALLREDUCE(teyvw, eyvw, 1, MPI_DOUBLE_PRECISION, MPI_SUM,
-     &     my_mpi_comm, ierror)
-      call MPI_ALLREDUCE(teyhb, eyhb, 1, MPI_DOUBLE_PRECISION, MPI_SUM,
-     &     my_mpi_comm, ierror)
-      call MPI_ALLREDUCE(teyvr, eyvr, 1, MPI_DOUBLE_PRECISION, MPI_SUM,
+      call MPI_ALLREDUCE(teyvw, eyvw, 1, MPI_DOUBLE_PRECISION, MPI_SUM, 
+     &     my_mpi_comm, ierror)
+      call MPI_ALLREDUCE(teyhb, eyhb, 1, MPI_DOUBLE_PRECISION, MPI_SUM, 
+     &     my_mpi_comm, ierror)
+      call MPI_ALLREDUCE(teyvr, eyvr, 1, MPI_DOUBLE_PRECISION, MPI_SUM, 
      &     my_mpi_comm, ierror)
 
Index: enysol.f
===================================================================
--- enysol.f	(revision 87ddcf7a314d90070d607f0ec7ac0a700b843abc)
+++ enysol.f	(revision e40e335d8909b50cd784019735fcdb0c28ee19bb)
@@ -1,46 +1,28 @@
-! **************************************************************
-!
-! This file contains the subroutines: enysol,tessel
-!
-! Copyright 2003-2005  Frank Eisenmenger, U.H.E. Hansmann,
-!                      Shura Hayryan, Chin-Ku
-! Copyright 2007       Frank Eisenmenger, U.H.E. Hansmann,
-!                      Jan H. Meinke, Sandipan Mohanty
-!
-! **************************************************************
-
-
+c **************************************************************
+c
+c This file contains the subroutines: enysol,tessel
+c
+c Copyright 2003-2005  Frank Eisenmenger, U.H.E. Hansmann,
+c                      Shura Hayryan, Chin-Ku 
+c Copyright 2007       Frank Eisenmenger, U.H.E. Hansmann,
+c                      Jan H. Meinke, Sandipan Mohanty
+c
+c **************************************************************
+
+      
       real*8 function enysol(nmol)
 
       include 'INCL.H'
-! --------------------------------------------------------------
-!
-!     Double Cubic Lattice algorithm for calculating the
-!     solvation energy of proteins using
-!     solvent accessible area method.
-!
-!     if nmol == 0 do solvation energy over all residues.
-! CALLS: nursat
-!
-! -------------------------------------------------------------
-! TODO: Check the solvent energy for multiple molecules
-!     arguments
-      integer nmol
-
-!     functions
-      integer nursat
-
-
-      integer numbox, inbox, indsort, look, i, ii, ia, ib, ibox, icount
-      integer ilk, il, ik, ix, iy, iz, j, jy, jbox, jbi, jres, jj, jcnt
-      integer jtk, jx, jz, lbn, lst, mhx, mx, nsy, ndy, mz, my, nboxj
-      integer ndx, ncbox, nbt, nez, ndz, nex, ney, nlow, nhx, nnei
-      integer nrshi, nqxy, nrslow, mbt, nsx, nsz, numat, nup
-      double precision xyz, radb, radb2, ymin, diamax, area, akrad
-      double precision avr_x, avr_y, avr_z, dd, dr, dx, dy, dz, sizex
-      double precision rmax, shiftx, shifty, shiftz, sizey, sizez
-      double precision sizes, trad, zmin, xmax, xmin, ymax, zmax
-      double precision sdr, sdd, volume
-
+c --------------------------------------------------------------
+c
+c     Double Cubic Lattice algorithm for calculating the
+c     solvation energy of proteins using 
+c     solvent accessible area method.
+c
+c     if nmol == 0 do solvation energy over all residues.
+c CALLS: nursat
+c
+c -------------------------------------------------------------
+c TODO: Check the solvent energy for multiple molecules     
       dimension numbox(mxat),inbox(mxbox+1),indsort(mxat),look(mxat)
       dimension xyz(mxinbox,3),radb(mxinbox),radb2(mxinbox)
@@ -48,5 +30,5 @@
 
 !      common/ressurf/surfres(mxrs)
-
+      
       eyslh = 0.0
       eyslp = 0.0
@@ -62,5 +44,5 @@
       do i=nrslow,nrshi
        surfres(i) = 0.0d0
-      end do
+      end do 
 
       numat= nup - nlow + 1
@@ -69,5 +51,5 @@
          inbox(i)=0
       end do
-
+     
       asa=0.0d0
       vdvol=0.0d0
@@ -113,5 +95,5 @@
       diamax=2.d0*rmax
 
-!  The sizes of the big box
+c  The sizes of the big box
 
       sizex=xmax-xmin
@@ -119,5 +101,5 @@
       sizez=zmax-zmin
 
-!  How many maximal diameters in each size ?
+c  How many maximal diameters in each size ?
 
       ndx=sizex/diamax + 1
@@ -125,9 +107,9 @@
       ndz=sizez/diamax + 1
 
-! We may need the number of quadratic boxes in (X,Y) plane
+c We may need the number of quadratic boxes in (X,Y) plane
 
       nqxy=ndx*ndy
 
-!   The number of cubic boxes of the size "diamax"
+c   The number of cubic boxes of the size "diamax"
 
       ncbox=nqxy*ndz
@@ -136,6 +118,6 @@
        stop
       end if
-
-! Let us shift the borders to home all boxes
+        
+c Let us shift the borders to home all boxes
 
       shiftx=(dble(ndx)*diamax-sizex)/2.d0
@@ -149,5 +131,5 @@
       zmax=zmax+shiftz
 
-! Finding the box of each atom
+c Finding the box of each atom
 
       do j=nlow,nup
@@ -158,11 +140,10 @@
         numbox(j)=nboxj
         if (nboxj.gt.mxbox) then
-         write (logString, '(a)') 'enysol> bad mxboxe-2'
-         write (logString, *) 'diagnostics ...'
-         write (logString, *) 'atom ',j
-         write (logString, *) 'position ',xat(j),yat(j),zat(j)
-         write (logString, *) 'box indices ',mx,my,mz
-         write (logString, *) 'resulting boxindex and limit ',
-     &      nboxj,mxbox
+         write(*,'(a)') 'enysol> bad mxboxe-2'
+         write(*,*) 'diagnostics ...'
+         write(*,*) 'atom ',j
+         write(*,*) 'position ',xat(j),yat(j),zat(j)
+         write(*,*) 'box indices ',mx,my,mz
+         write(*,*) 'resulting boxindex and limit ',nboxj,mxbox
 
          stop
@@ -172,12 +153,12 @@
       end do
 
-!  Summation over the boxes
+c  Summation over the boxes
 
       do i=1,ncbox
         inbox(i+1)=inbox(i+1)+inbox(i)
       end do
-
-
-!   Sorting the atoms by the their box numbers
+         
+        
+c   Sorting the atoms by the their box numbers
 
       do i=nlow,nup
@@ -186,7 +167,7 @@
          indsort(jj)=i
          inbox(j)=jj-1
-      end do
-
-! Getting started
+      end do   
+         
+c Getting started
 
       do iz=0,ndz-1 ! Over the boxes along Z-axis
@@ -196,5 +177,5 @@
            ibox=ix+iy*ndx+iz*nqxy + 1
 
-!  Does this box contain atoms ?
+c  Does this box contain atoms ?
 
            lbn=inbox(ibox+1)-inbox(ibox)
@@ -207,6 +188,6 @@
              ney=min(iy+1,ndy-1)
              nez=min(iz+1,ndz-1)
-
-!  Atoms in the boxes around
+                     
+c  Atoms in the boxes around
 
              jcnt=1
@@ -223,6 +204,6 @@
                end do
               end do
-             end do
-
+             end do     
+                             
              do  ia=inbox(ibox)+1,inbox(ibox+1)
                jbi=indsort(ia)
@@ -240,5 +221,5 @@
                      dr=1.0d0+akrad
                      dr=dr*dr
-!c if contact
+cc if contact
                      if(dd.le.dr) then
                        nnei=nnei+1
@@ -251,10 +232,10 @@
                    end if
                  end do
-!c
+cc
                   do il=1,npnt
                      surfc(il)=.false.
                   end do
 
-!  Check overlap
+c  Check overlap
 
                   lst=1
@@ -276,5 +257,5 @@
                      end do
  99                  continue
-
+    
                      if(ik.gt.nnei)then
                        surfc(il)=.true.
@@ -298,12 +279,12 @@
                  area   = sdr*dble(icount)
                  volume = sdr/3.0d0*(trad*dble(icount)
-     &                               +(xat(jbi)-avr_x)*dx
-     &                               +(yat(jbi)-avr_y)*dy
-     &                               +(zat(jbi)-avr_z)*dz)
+     #                               +(xat(jbi)-avr_x)*dx
+     #                               +(yat(jbi)-avr_y)*dy
+     #                               +(zat(jbi)-avr_z)*dz)
 
                  asa=asa+area
                  vdvol=vdvol+volume
                  eysl=eysl+area*sigma(jbi)
-! Separate hydrophilic (h) and hyrdophobic (p) contributions to eysl
+c Separate hydrophilic (h) and hyrdophobic (p) contributions to eysl
                  if (sigma(jbi).lt.0) then
                     eyslp = eyslp + area * sigma(jbi)
@@ -314,9 +295,9 @@
                     asah = asah + area
                  endif
-! Measure how much a residue is solvent accessible:
+c Measure how much a residue is solvent accessible:
                  jres = nursat(jbi)
                  surfres(jres) = surfres(jres) + area
                end if
-             end do
+             end do 
            end if
           end do
@@ -324,5 +305,5 @@
        end do
 
-!
+c
        if (isolscl) then
           nhx=0
@@ -338,10 +319,11 @@
        return
        end
-! *********************
+c *********************
       subroutine tessel
       include 'INCL.H'
       character lin*80
-      integer i
-!    Skipping comment lines, which begin with '!'
+
+c    Skipping comment lines, which begin with '!'  
+
       read(20,'(a)') lin
       do while(lin(1:1).eq.'!')
@@ -349,18 +331,19 @@
       end do
 
-!   The first non-comment line is the number of the surface points
+c   The first non-comment line is the number of the surface points
 
       read(lin(1:5),'(i5)') npnt
-!       write (logString, '(a,i5)') 'the number of points---->',npnt
-
-!    Read the surface points
+c        write(*,'(a,i5)') 'the number of points---->',npnt
+
+c    Read the surface points   
 
       do i=1,npnt
          read(20,'(3f20.10)') spoint(i,1),spoint(i,2),spoint(i,3)
-!          write(31,'(3f20.10)') spoint(i,1),spoint(i,2),spoint(i,3)
-      end do
-
+         
+c        write(31,'(3f20.10)') spoint(i,1),spoint(i,2),spoint(i,3)
+      end do
+ 
       return
-
+ 
       end
 
